#include ../../shaders/es_precision.glsl

#ifdef COMPILE
precision highp float;
precision highp int;

#ifdef GL_ES
  #define MEDIUMP mediump
  #define HIGHP highp
  #define LOWP  lowp
#else
  #define MEDIUMP
  #define HIGHP
  #define LOWP
#endif
#endif

varying MEDIUMP vec4 v_fragmentColor;
varying MEDIUMP vec2 v_texCoord;
varying MEDIUMP float v_textureUnit;

uniform sampler2D CC_Texture0;
uniform sampler2D CC_Texture1;

const MEDIUMP vec4 zero = vec4(0.0);
const MEDIUMP vec4 one = vec4(1.0);

void texture(out vec4 color, in sampler2D tex, in vec2 texCoords, in int tu) {
	color = texture2D(tex, texCoords);
	if (tu == 1) {
		color = vec4(color.r);
	}
}

void main()							
{
	int tu = int(v_textureUnit);

	MEDIUMP vec4 col = one;
	if (tu == 0) {
		texture(col, CC_Texture0, v_texCoord, tu);
	} else if (tu == 1) {
		texture(col, CC_Texture1, v_texCoord, tu);
	} 
	gl_FragColor = v_fragmentColor * col;
}										
