#include es_precision.glsl

varying LOWP vec4 v_fragmentColor;	
varying MEDIUMP vec2 v_texCoord;			
uniform sampler2D CC_Texture0;
uniform sampler2D CC_Texture1;
uniform LOWP int CC_textureUnit; 

const vec4 zerov4 = vec4(0.0);
const vec4 onev4 = vec4(1.0);

void texture(out vec4 color, in vec2 texCoords) {
	if (CC_textureUnit == 0) {
		color = texture2D(CC_Texture0, v_texCoord);
	} else if (CC_textureUnit == 1) {
		color = vec4(texture2D(CC_Texture1, v_texCoord).r);
	} else {
		color = onev4;
	}
}

void main()							
{
	vec4 col;
	texture(col, v_texCoord); 
		
	gl_FragColor = v_fragmentColor * col;
}										
